### Constructor

# Gegl AudioFragmentnew

#### Declaration [src]

    GeglAudioFragment*
    gegl_audio_fragment_new (
      int sample_rate,
      int channels,
      int channel_layout,
      int max_samples
    )

#### Description

No description available.

#### Parameters

`sample_rate`

  Type: `int`

  No description available.

`channels`

  Type: `int`

  No description available.

`channel_layout`

  Type: `int`

  No description available.

`max_samples`

  Type: `int`

  No description available.

#### Return value

Type: `GeglAudioFragment`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.